Get data streams
- Base URL
-
https://{kibana_url}
-
GET
/api/fleet/epm/data_streams
-
GET
/s/{space_id}/api/fleet/epm/data_streams
Auth
Get a list of data streams created by installed integration packages.
-
Privileges
integrations-read
or
fleet-setup
or
fleet-all
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
type
enum
-
Filter by data stream type
-
Values:
logs
metrics
traces
synthetics
profiles
-
datasetQuery
string
-
Filter data streams by dataset name
-
sortOrder
enum · default: asc
-
Sort order, ascending or descending
-
Values:
asc
desc
-
uncategorisedOnly
boolean · default: false
-
When true, only return data streams that are not associated with a package
-
items
object[] · max items: 10000
required
-
-
attributes
object
required
Thank you for your feedback.